local gameOver = {}

function gameOver:draw()
    love.graphics.setColor(1, 1, 1)
    love.graphics.setFont(love.graphics.newFont(12))
    love.graphics.printf("Game Over", 0, love.graphics.getHeight() / 2,
        love.graphics.getWidth(), "center")
    love.graphics.printf("Press Enter to Return to Restart", 0, love.graphics.getHeight() / 2 + 20,
        love.graphics.getWidth(), "center")
end

function gameOver:keypressed(key, state)
    if key == "return" then
        state:change("game")
    end
end

return gameOver
