local state = require("state")

if not table.unpack then
    table.unpack = unpack
end

function love.load()
    state:load()
end

function love.draw()
    state:draw()
end

function love.update(dt)
    state:update(dt)
end

function love.keyreleased(key)
    state:keyreleased(key)
end

function love.keypressed(key)
    state:keypressed(key)
end
